rte_eth_representor_info(3)

NAME
rte_eth_representor_info

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

uint16_t controller
uint16_t pf
uint32_t nb_ranges_alloc
uint32_t nb_ranges
struct rte_eth_representor_range ranges []

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice.

Ethernet device representor information

Definition at line 5773 of file rte_ethdev.h.

Field Documentation

  uint16_t controller
Controller ID of caller device.

Definition at line 5774 of file rte_ethdev.h.

  uint16_t pf
Physical function ID of caller device.

Definition at line 5775 of file rte_ethdev.h.

  uint32_t nb_ranges_alloc
Size of the ranges array.

Definition at line 5776 of file rte_ethdev.h.

  uint32_t nb_ranges
Number of initialized ranges.

Definition at line 5777 of file rte_ethdev.h.

  struct rte_eth_representor_range ranges[]
Representor ID range.

Definition at line 5778 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.